<?php

namespace Myvetshop\Module\Clinique\Api\Insight\Repository;

class InsightOrderRefundRepository extends AbstractInsightRepository
{
    protected static function getTable(): string
    {
        return _DB_PREFIX_ . 'order_slip';
    }

    protected static function getAlias(): string
    {
        return 'os';
    }

    protected static function getDefaultSelects(): array
    {
        return [
            'id' => 'os.id_order_slip',
            'order_id' => 'os.id_order',
            'total_products_tax_excl' => 'os.total_products_tax_excl',
            'total_products_tax_incl' => 'os.total_products_tax_incl',
            'total_shipping_tax_excl' => 'os.total_shipping_tax_excl',
            'total_shipping_tax_incl' => 'os.total_shipping_tax_incl',
        ];
    }
}
